package com.ebts.generator.entity.bo;

import com.ebts.generator.entity.UniCon;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.util.List;

public class UniQueryBo {

    @NotBlank(message = "sql不能为空!")
    private String uqSql;
    private List<UniCon> uniCons;
    @NotNull(message = "pageNum不能为空!")
    private Integer pageNum;
    @NotNull(message = "pageSize不能为空!")
    private Integer pageSize;

    public String getUqSql() {
        return uqSql;
    }

    public void setUqSql(String uqSql) {
        this.uqSql = uqSql;
    }

    public List<UniCon> getUniCons() {
        return uniCons;
    }

    public void setUniCons(List<UniCon> uniCons) {
        this.uniCons = uniCons;
    }

    public Integer getPageNum() {
        return pageNum;
    }

    public void setPageNum(Integer pageNum) {
        this.pageNum = pageNum;
    }

    public Integer getPageSize() {
        return pageSize;
    }

    public void setPageSize(Integer pageSize) {
        this.pageSize = pageSize;
    }
}
